/*
 *      NGFFS, next generation flash file system
 *      Copyright (C) 2004, TomTom BV
 *	Author: Koen Martens <kmartens@sonologic.nl>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or (at
 *      your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful, but
 *      WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software Foundation,
 *      Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *      $Id: garbage.h,v 1.2 2004/12/09 11:20:11 dim Exp $
 *
 *
 * 	Garbage collection
 * 	 
 */

__u32 ngffs_block_garbage(struct ngffs_info *ngsb,int blockidx);
__u32 ngffs_garbage_collectable(struct super_block *sb);		// TODO: tbi

//
// the actual garbage collection, returns 0 on succes, error otherwise
int ngffs_collect_garbage(struct super_block *sb);
