/* include/asm-arm/arch-s3c2410/tomtomgo-map.h
 *
 * Memory map defitions for TomTom GO.
 *
 * Copyright (C) 2004,2005 TomTom BV <http://www.tomtom.com/>
 * Author: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

/* You need to include arch/map.h before this file. */

#ifndef __ASM_ARCH_TOMTOMGOMAP_H
#define __ASM_ARCH_TOMTOMGOMAP_H

/* IDE interface on newer models. */

#define TOMTOMGO_VA_IDE		S3C2410_ADDR(0x01300000)
#define TOMTOMGO_PA_IDE		S3C2410_CS3
#define TOMTOMGO_SZ_IDE		SZ_1M

#endif /* __ASM_ARCH_TOMTOMGOMAP_H */

/* EOF */
